View a markdown version of this page

ListSourceEndpoints - AWS Elemental MediaConnect

ListSourceEndpoints

Retrieves a list of the source endpoints in your account. The results are paginated. Use the NextToken value that's returned to retrieve additional results.

Request Syntax

POST /v1/sourceEndpoints?maxResults=maxResults&nextToken=nextToken HTTP/1.1 Content-type: application/json { "filters": [ { ... } ] }

URI Request Parameters

The request uses the following URI parameters.

maxResults

The maximum number of results to return in a single request. The valid range is 1 to 100. If you don't specify a value, the service returns up to 100 results.

Valid Range: Minimum value of 1. Maximum value of 100.

nextToken

The token that identifies the next page of results to return. Use the token that a previous request returned.

Request Body

The request accepts the following data in JSON format.

filters

The filters to apply to the list of source endpoints.

Type: Array of SourceEndpointFilter objects

Required: No

Response Syntax

HTTP/1.1 200 Content-type: application/json { "nextToken": "string", "sourceEndpoints": [ { "arn": "string", "associatedResourceArn": "string", "availabilityZone": "string", "availabilityZoneId": "string", "connectedDestinationCount": number, "connectionState": "string", "createdAt": "string", "encryptionType": "string", "id": "string", "lifecycleManagement": "string", "messageCount": number, "name": "string", "regionName": "string", "registrationState": "string", "resourceShareOwnership": "string", "resourceShareState": "string", "sourceType": "string", "updatedAt": "string" } ] }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

nextToken

The token to use in the next request to retrieve the next page of results. This value is null when there are no more results to return.

Type: String

sourceEndpoints

The source endpoints that match the request.

Type: Array of ListedSourceEndpoint objects

Errors

For information about the errors that are common to all actions, see Common Error Types.

BadRequestException

This exception is thrown if the request contains a semantic error. The precise meaning depends on the API, and is documented in the error message.

HTTP Status Code: 400

ConflictException

The requested operation would cause a conflict with the current state of a service resource associated with the request. Resolve the conflict before retrying this request.

HTTP Status Code: 409

InternalServerErrorException

The server encountered an internal error and is unable to complete the request.

HTTP Status Code: 500

ServiceUnavailableException

The service is currently unavailable or busy.

HTTP Status Code: 503

TooManyRequestsException

The request was denied due to request throttling.

HTTP Status Code: 429

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: